%define module  User
%define name    perl-%{module}
%define version 1.6
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        API for locating user information regardless of OS
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/User/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module allows applications to retrieve per-user characteristics.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/User.pm
%{_mandir}/*/*

%changelog
* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-2mdv2007.0
- Rebuild

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-1mdk
- first mdk release
